#include <stdio.h>

extern int file_read(FILE *, char *, size_t);
extern int file_write(FILE *, const char *, size_t);
extern int file_seek(FILE *, long, int);

struct FILE stdin_  = {
	.fd = 0,
	.lastc = -1,
	.read = file_read,
	.write = file_write,
	.seek = file_seek
};
struct FILE stdout_ = {
	.fd = 1,
	.read = file_read,
	.write = file_write,
	.seek = file_seek};
struct FILE stderr_ = {
	.fd = 2,
	.read = file_read,
	.write = file_write,
	.seek = file_seek
};

FILE *stdin = &stdin_;
FILE *stdout = &stdout_;
FILE *stderr = &stderr_;
