#include <sys/types.h>
#include <sys/stat.h>
#include <stdlib.h>
#include <stdio.h>

/* support multiple arguments */

int main(int argc, char* argv[])
{
	mode_t tm = 0;
	int errors;
	int i;

	if (argc < 3) {
		exit(1);
	}

	tm = strtol(argv[1], NULL, 8);
	errors = 0;
	for (i = 2; i < argc; i++) {
		if (chmod(argv[i], tm) < 0) {
			perror(argv[i]);
			errors++;
		}
	}
	return errors;
}
