#include <unistd.h>
#include <stdio.h>

/* a wrapper for the chroot() syscall, followed by exection of a command in
 * the new chroot
 */

int main(int argc, char *argv[])
{
	if (argc < 3) {
		fprintf(stderr, "usage: chroot <newroot> <cmd> [<arg>...]\n");
		return 1;
	}
	if (chroot(argv[1]) < 0) {
		perror(argv[1]);
		return 1;
	}
	argv += 2;
	argc -= 2;
	execv(argv[0], argv);
	perror(argv[0]);
}
