#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>

int main(int argc, char *argv[])
{
	int fd1, fd2;
	char c1, c2;

	if (argc != 3) {
		fprintf(stderr, "usage: %s <file1> <file2>\n", argv[0]);
		exit(1);
	}

	if ( (fd1 = open(argv[1], O_RDONLY)) < 0 ) {
		perror(argv[1]);
		exit(1);
	}
	if ( (fd2 = open(argv[2], O_RDONLY)) < 0 ) {
		perror(argv[2]);
		exit(1);
	}
	while (read(fd1, &c1, 1) == 1) {
		if (read(fd2, &c2, 1) != 1 || c1 != c2)
			return 1;
	}
	return read(fd2, &c2, 1);
}
