#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <fcntl.h>

/* simplest version: accept two file names and copy from the first to the second
 *
 * Note that the second one is created with 0666
 */

int main(int argc, char* argv[])
{
	int n;
	char buf[4096];
	int ifd, ofd;

	if (argc < 3)
		return 1;

	ifd = open(argv[1], O_RDONLY);
	ofd = open(argv[2], O_WRONLY | O_CREAT | O_TRUNC, 0666);

	while ( (n = read(ifd, buf, 4096)) > 0)
		write(ofd, buf, n);

	return 0;
}
