#include <fcntl.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdio.h>

int main(int argc, char* argv[])
{
	char buf[10] = "/dev/";
	int i, fd0, fd1, fd2, n;

	if (argc < 2)
		return 1;

	for (i = 0; i < 5; i++)
		buf[5 + i] = argv[1][i];

	/* we start with all files closed. Since open() returns available file
	 * descriptors in numerical order, these files will become stdin (0),
	 * stdout (1) and stderr (2)
	 */
	fd0 = open(buf, O_RDONLY);
	fd1 = open(buf, O_WRONLY);
	fd2 = open(buf, O_WRONLY);

	/* prompt for a login and read it, then transform into login */
	write(fd1, "login: ", 7);
	n = read(fd0, buf, 9);
	buf[n - 1] = '\0';
	execl("/bin/login", "login", buf, NULL);
	write(fd2, "error\n", 6);
	exit(1);
}
