#include <unistd.h>
#include <stdlib.h>
#include <stdio.h>
#include <string.h>

/* support symbolic links. We need to call a different system
 * call if the user passes '-s'.
 */

int main(int argc, char* argv[])
{
	if (argc < 3)
		return 1;

	if (strcmp(argv[1], "-s") == 0)	{
		if (argc < 4)
			return 1;
		if (symlink(argv[2], argv[3]) < 0) {
			perror(argv[3]);
			exit(1);
		}
	} else {
		if (link(argv[1], argv[2]) < 0) {
			perror(argv[2]);
			exit(1);
		}
	}
	return 0;
}
