#include <sys/types.h>
#include <dirent.h>
#include <stdio.h>
#include <unistd.h>

/*
 * minimal ls
 * - only shows the current directory
 * - understands no options
 */

int main()
{
	DIR *dir;
	struct dirent* ent;

	if ( !(dir = opendir(".")) ) {
		perror(".");
		return 1;
	}

	while ( (ent = readdir(dir)) ) {
		printf("%s\n", ent->d_name);
	}

	return 0;
}
