#include <stdio.h>
#include <string.h>

/* another simple filter */

#define MAX_LINE 1024

void uniq(FILE *f)
{
	char buf[2][MAX_LINE];
	int c = 0;

	if (!fgets(buf[c], MAX_LINE, f))
		return;
	printf("%s", buf[c]);
	while ( fgets(buf[1 - c], MAX_LINE, f) ) {
		if (strcmp(buf[c], buf[1 - c]) != 0) {
			c = 1 - c;
			printf("%s", buf[c]);
		}
	}
}

int main(int argc, char* argv[])
{
	int i;
	if (argc > 1) {
		for (i = 1; i < argc; i++) {
			FILE *f;
			if ( !(f = fopen(argv[i], "r")) ) {
				perror(argv[i]);
				continue;
			}
			uniq(f);
			fclose(f);
		}
	} else
		uniq(stdin);
	return 0;
}


