#include <sys/time.h>
#include <unistd.h>

int alarm(unsigned int seconds)
{
	struct itimerval it = {
		{ 0, 0 },
		{ seconds, 0 }
	}, rem;
	if (setitimer(ITIMER_REAL, &it, &rem) < 0)
		return -1;
	else
		return rem.it_value.tv_sec;
}
