#include <stdio.h>
#include <unistd.h>

int fgetc(FILE *f)
{
	char c;

	if (f->eof)
		return EOF;

	if (f->lastc >= 0) {
		c = f->lastc;
		f->lastc = -1;
	} else {
		if (f->read(f, &c, 1) < 1) {
			f->eof = 1;
			return EOF;
		}
	}
	return (unsigned char)c;
}
