#include <stdio.h>
#include <unistd.h>
#include <stdarg.h>

#define BUFSIZE 1024
int printf(const char *fmt, ...)
{
        va_list ap;
	char buf[BUFSIZE];
        int l;

        va_start(ap, fmt);
        l = vsnprintf(buf, BUFSIZE, fmt, ap);
        va_end(ap);

	return write(1, buf, l > BUFSIZE ? BUFSIZE : l);
}
