#include <sys/types.h>
#include <sys/stat.h>
#include <stdlib.h>
#include <stdio.h>

/*
 * in its simplest form, the chmod command is just a wrapper for the chmod
 * system call
 */

int main(int argc, char* argv[])
{
	mode_t tm = 0;
	int errors;

	if (argc < 3) {
		exit(1);
	}

	tm = strtol(argv[1], NULL, 8);
	errors = 0;
	if (chmod(argv[2], tm) < 0) {
		perror(argv[2]);
		errors++;
	}
	return errors;
}
