#include <stdlib.h>
#include <fcntl.h>
#include <stdio.h>
#include <string.h>
#ifndef __APPLE__
#include <crypt.h>
#endif
#define _XOPEN_SOURCE
#include <unistd.h>

/*
 * passwd with encrypeted passwords
 */

#define MAX_LINE  80

int main()
{
	char *pass, buf[MAX_LINE];
	int uid, i, n, s;
	FILE *passwd, *tmp;
	char *fields[7];

	uid = getuid();

	pass = getpass("New Password: ");

	if ( !(passwd = fopen("/etc/passwd", "r")) ) {
		perror("/etc/passwd");
		exit(1);
	}
	if ( !(tmp = fopen("/tmp/passwd", "w")) ) {
		perror("/tmp/passwd");
		exit(1);
	}

	while (fgets(buf, MAX_LINE, passwd)) {
		n = 0;
		fields[n] = buf;
		s = strlen(buf);
		for (i = 0; i < s; i++) {
			if (buf[i] == ':') {
				buf[i] = '\0';
				n++;
				fields[n] = &buf[i + 1];
			}
		}
		if (i == 0 || n < 3) {
			fprintf(stderr, "corrupted /etc/passwd\n");
			exit(1);
		}

		buf[i - 1] = '\0';

		if (atoi(fields[2]) == uid)
			fields[1] = crypt(pass, "aa");

		fprintf(tmp, "%s", fields[0]);
		for (i = 1; i < 7; i++)
			fprintf(tmp, ":%s", fields[i]);
		fprintf(tmp, "\n");
	}

	fclose(passwd);
	fclose(tmp);
	rename("/tmp/passwd", "/etc/passwd");
}


