#include <unistd.h>
#include <stdio.h>

/* just a wrapper around the readlink system call */

#define BUFSZ 1024

int main(int argc, char *argv[])
{
	char buf[BUFSZ + 1];
	int i, n;

	for (i = 1; i < argc; i++) {
		n = readlink(argv[i], buf, BUFSZ);
		if (n < 0) {
			perror(argv[i]);
			continue;
		}
		buf[n] = '\0';
		printf("%s\n", buf);
	}
	return 0;
}
