#include <unistd.h>
#include <signal.h>
#include <stdio.h>
#include <stdlib.h>

/* sleep is traditionally implemented using alarm system call,
 * which sends the ALRM signal after a specified number of seconds
 */

void alarmh(int signo)
{
}

int main(int argc, char *argv[])
{
	int nsec;

	if (argc < 2) {
		fprintf(stderr, "usage: sleep nsec\n");
		exit(1);
	}
	nsec = atoi(argv[1]);
	signal(SIGALRM, alarmh);
	alarm(nsec);
	pause();
	return 0;
}
