#include <sys/types.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <unistd.h>
#include <stdio.h>

/* touch just tries to open the file. This will create the file if
 * it does not exist, and update its modification time if it does
 * (which is touch real purpose)
 */

int main(int argc, char* argv[])
{
	int i, fd;
	int err = 0;

	for (i = 1; i < argc; i++) {
		if ( (fd = open(argv[i], O_WRONLY | O_CREAT, 0666)) < 0) {
			perror(argv[i]);
			err++;
			continue;
		}
		close(fd);
	}

	return err;
}
