#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>

/* simplified version of the tr filter */

int main(int argc, char *argv[])
{
	char tr[256];
	char *s1, *s2;
	int i;
	char c;

	if (argc != 3) {
		fprintf(stderr, "usage: tr <set1> <set2>\n");
		exit(1);
	}

	for (i = 0; i < 256; i++)
		tr[i] = i;

	for (s1 = argv[1], s2 = argv[2]; *s1 != '\0'; s1++) {
		tr[*s1] = *s2;
		if (*s2)
			s2++;
	}

	while (read(0, &c, 1) > 0)
		write(1, &tr[c], 1);

	return 0;
}
